Bug 1128194 - LBaaS extension doesn't register it's resources to quota engine
Summary: LBaaS extension doesn't register it's resources to quota engine
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 5.0 (RHEL 7)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z1
: 5.0 (RHEL 6)
Assignee: Jakub Libosvar
QA Contact: yfried
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-08 14:23 UTC by Jakub Libosvar
Modified: 2016-04-26 20:32 UTC (History)
5 users (show)

Fixed In Version: openstack-neutron-2014.1.2-2.el7ost
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-09-30 17:14:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1339 normal SHIPPED_LIVE Low: openstack-neutron security and bug fix update 2014-09-30 21:13:35 UTC
Launchpad 1305957 None None None Never

Description Jakub Libosvar 2014-08-08 14:23:09 UTC
Description of problem:
LBaaS extension is using the new resource_helper module to register its resources to resource manager.
This change https://review.openstack.org/#/c/69803/3 added new quota resources.
In order those new quota resources to be registered in quotas engine, register_quota=True argument should be passed to the resource_helper.build_resource_info() function.

neutron/extensions/loadbalancer.py line 351

This bug causes modified tempest quotas test from https://review.openstack.org/#/c/60008 to fail
because new lbaas quota resources are not registered

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 yfried 2014-09-16 12:06:56 UTC
[root@puma48 ~(keystone_admin)]# neutron agent-list 
+--------------------------------------+--------------------+-------------------------------+-------+----------------+
| id                                   | agent_type         | host                          | alive | admin_state_up |
+--------------------------------------+--------------------+-------------------------------+-------+----------------+
| 7788426f-658c-4a7d-9e43-e9ca6d372a8e | L3 agent           | puma48.scl.lab.tlv.redhat.com | :-)   | True           |
| 99f62b25-ecf8-47be-adff-8ff33795a7c2 | DHCP agent         | puma48.scl.lab.tlv.redhat.com | :-)   | True           |
| 9f339035-24ae-4de6-a6ee-33d804675be9 | Open vSwitch agent | puma48.scl.lab.tlv.redhat.com | :-)   | True           |
| a0717625-0b65-4aa3-80c3-c80aaf92790d | Loadbalancer agent | puma48.scl.lab.tlv.redhat.com | :-)   | True           |
| ba7b3c38-71f5-4205-b50f-772fde4dfe16 | Metadata agent     | puma48.scl.lab.tlv.redhat.com | :-)   | True           |
+--------------------------------------+--------------------+-------------------------------+-------+----------------+
[root@puma48 ~(keystone_admin)]# neutron quota-update --vip 5
+---------------------+-------+
| Field               | Value |
+---------------------+-------+
| floatingip          | 50    |
| health_monitor      | -1    |
| member              | -1    |
| network             | 10    |
| pool                | 10    |
| port                | 50    |
| router              | 10    |
| security_group      | 10    |
| security_group_rule | 100   |
| subnet              | 10    |
| vip                 | 5     |
+---------------------+-------+

Comment 4 yfried 2014-09-16 12:08:07 UTC
verified on RHEL-7

[root@puma48 ~(keystone_admin)]# rpm -qa | grep neutron
openstack-neutron-ml2-2014.1.2-2.el7ost.noarch
openstack-neutron-2014.1.2-2.el7ost.noarch
python-neutron-2014.1.2-2.el7ost.noarch
python-neutronclient-2.3.4-2.el7ost.noarch
openstack-neutron-openvswitch-2014.1.2-2.el7ost.noarch

Comment 5 yfried 2014-09-16 12:08:17 UTC
verified on RHEL-7

[root@puma48 ~(keystone_admin)]# rpm -qa | grep neutron
openstack-neutron-ml2-2014.1.2-2.el7ost.noarch
openstack-neutron-2014.1.2-2.el7ost.noarch
python-neutron-2014.1.2-2.el7ost.noarch
python-neutronclient-2.3.4-2.el7ost.noarch
openstack-neutron-openvswitch-2014.1.2-2.el7ost.noarch

Comment 7 errata-xmlrpc 2014-09-30 17:14:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-1339.html


Note You need to log in before you can comment on or make changes to this bug.